(function () {

  'use strict';
   
var csInterface = new CSInterface();

document.getElementById("versionNumberP").innerHTML = "Version: " +panelVersion;  
    
//Start Up    
csInterface.evalScript('startUp()', function(retVal) {
    
if(retVal!=panelVersion){
document.getElementById("mainMenu").style.display= "none";
document.getElementById("installIssues").style.display= "block";    
}   

else{
csInterface.evalScript('getActivationData()', function(retVal2) {  
        if(retVal2=="true"){
        document.getElementById("btnActivate").style.display= "none"; 
        document.getElementById("trialMode").style.display= "none";            
        document.getElementById("btnLicense").style.display= "block";
        
        }
        else{
        document.getElementById("btnLicense").style.display= "none";    
        document.getElementById("btnActivate").style.display= "block";
        document.getElementById("trialMode").style.display= "block";             
        }
      });       
}

});
    
     
    
    
//UI Display
function hideAllTAbs(){
document.getElementById("mainMenu").style.display="none";
document.getElementById("toMainMenu").style.display="none";
document.getElementById("psdSetup").style.display="none";
document.getElementById("composition").style.display="none";
document.getElementById("textReplacement").style.display="none";
}

document.getElementById('btnToMainMenu').addEventListener('click', function () {
hideAllTAbs();
document.getElementById("mainMenu").style.display= "block";
});
    
document.getElementById('btnPsdSetup').addEventListener('click', function () {
hideAllTAbs();
document.getElementById("psdSetup").style.display= "block";    
document.getElementById("toMainMenu").style.display= "block";
});
    
document.getElementById('btnComposition').addEventListener('click', function () {
hideAllTAbs();
document.getElementById("composition").style.display= "block";    
document.getElementById("toMainMenu").style.display= "block";
});    
    
document.getElementById('btnBatch').addEventListener('click', function () {
disableMainUIBtns();    
csInterface.evalScript('runBatch()', function(retVal) {
        enableMainUIBtns();
      });
      });
    
document.getElementById('btnLicense').addEventListener('click', function () {
disableMainUIBtns();
csInterface.evalScript('manageLicense()', function(retVal) {
enableMainUIBtns();    
if(retVal=="true"){document.getElementById("btnActivate").style.display= "none";document.getElementById("btnLicense").style.display="block";document.getElementById("trialMode").style.display="none";}
else{document.getElementById("btnLicense").style.display= "none";document.getElementById("btnActivate").style.display="block";document.getElementById("trialMode").style.display= "block";}
      });      
      });  
    
document.getElementById('btnActivate').addEventListener('click', function () {
    disableMainUIBtns();
    csInterface.evalScript('manageLicense()', function(retVal) {
    enableMainUIBtns();    
    if(retVal=="true"){document.getElementById("btnActivate").style.display= "none";document.getElementById("btnLicense").style.display="block";document.getElementById("trialMode").style.display="none";}
    else{document.getElementById("btnLicense").style.display= "none";document.getElementById("btnActivate").style.display= "block";document.getElementById("trialMode").style.display= "block";}
      });      
      }); 
    
function disableMainUIBtns(){
    document.getElementById("btnBatch").disabled = true;  
    document.getElementById("btnComposition").disabled = true; 
    document.getElementById("btnPsdSetup").disabled = true; 
    document.getElementById("btnLicense").disabled = true; 
    document.getElementById("btnActivate").disabled = true;    
    //document.getElementById("processing").style.display= "block";
} 
    
function enableMainUIBtns(){
    //document.getElementById("processing").style.display= "none";
    document.getElementById("btnBatch").disabled = false;  
    document.getElementById("btnComposition").disabled = false; 
    document.getElementById("btnPsdSetup").disabled = false; 
    document.getElementById("btnLicense").disabled = false; 
    document.getElementById("btnActivate").disabled = false;    
}   
    
    
  
// PSD Setup
  document.getElementById('btnAddPlayer').addEventListener('click', function () {
        playerMode=playerModeDropdown.value;
        disablePSDSetupBtns();
        csInterface.evalScript('addPlayerLayer("' + playerMode + '")', function(retVal) {
        enablePSDSetupBtns();  
      });
      });
    
  document.getElementById('btnAddPlayerSample').addEventListener('click', function () {
        disablePSDSetupBtns();
        csInterface.evalScript('replaceImage("player")', function(retVal) {
        enablePSDSetupBtns();  
      });
      });      

  document.getElementById('btnAddTeam').addEventListener('click', function () {
        teamMode=teamModeDropdown.value;
        disablePSDSetupBtns();
        csInterface.evalScript('addTeamLayer("' + teamMode + '")', function(retVal) {
        enablePSDSetupBtns();  
      });
      });      
 
  document.getElementById('btnAddTeamSample').addEventListener('click', function () {
        disablePSDSetupBtns();
        csInterface.evalScript('replaceImage("team")', function(retVal) {
        enablePSDSetupBtns();  
      });
      });   
    
  document.getElementById('btnAddLogo').addEventListener('click', function () {
        logoMode=1;
        disablePSDSetupBtns();
        csInterface.evalScript('addLogoLayer("' + logoMode + '")', function(retVal) {
        enablePSDSetupBtns();  
      });
      });      
 
  document.getElementById('btnAddLogoSample').addEventListener('click', function () {
        disablePSDSetupBtns();
        csInterface.evalScript('replaceImage("logo")', function(retVal) {
        enablePSDSetupBtns();  
      });
      });      
    
  document.getElementById('btnConvertText').addEventListener('click', function () {
        disablePSDSetupBtns();
        csInterface.evalScript('convertTextLayersToPoint()', function(retVal) {
        enablePSDSetupBtns();  
      });
      });        

  
    
function disablePSDSetupBtns(){
    document.getElementById("btnAddPlayer").disabled = true;  
    document.getElementById("btnAddPlayerSample").disabled = true; 
    document.getElementById("btnAddTeam").disabled = true; 
    document.getElementById('btnAddTeamSample').disabled = true;
    document.getElementById("btnAddLogo").disabled = true; 
    document.getElementById('btnAddLogoSample').disabled = true;     
    document.getElementById('btnConvertText').disabled = true;  
    document.getElementById('btnToMainMenu').disabled = true;    
    document.getElementById("processing").style.display= "block";
} 
    
function enablePSDSetupBtns(){
    document.getElementById("processing").style.display= "none";
    document.getElementById("btnAddPlayer").disabled = false;  
    document.getElementById("btnAddPlayerSample").disabled = false; 
    document.getElementById("btnAddTeam").disabled = false; 
    document.getElementById('btnAddTeamSample').disabled = false;
    document.getElementById("btnAddLogo").disabled = false; 
    document.getElementById('btnAddLogoSample').disabled = false;      
    document.getElementById('btnConvertText').disabled = false;  
    document.getElementById('btnToMainMenu').disabled = false;   
}   


// Create Composition

document.getElementById('btnToReplaceText').addEventListener('click', function () {
hideAllTAbs();
document.getElementById("textReplacement").style.display= "block";    
document.getElementById("toMainMenu").style.display= "block";
});    

document.getElementById('btnReplacePlayer1').addEventListener('click', function () {
disableCompositionBtns();
csInterface.evalScript('replaceImage("Player 1")', function(retVal) {
enableCompositionBtns();  
});
}); 

document.getElementById('btnReplacePlayer2').addEventListener('click', function () {
disableCompositionBtns();
csInterface.evalScript('replaceImage("Player 2")', function(retVal) {
enableCompositionBtns();  
});
});
    
document.getElementById('btnReplacePlayer3').addEventListener('click', function () {
disableCompositionBtns();
csInterface.evalScript('replaceImage("Player 3")', function(retVal) {
enableCompositionBtns();  
});
});  
    
  document.getElementById('btnReplaceTeam').addEventListener('click', function () {
        disableCompositionBtns();
        csInterface.evalScript('replaceImage("team")', function(retVal) {
        enableCompositionBtns();  
      });
      }); 
    
  document.getElementById('btnReplaceLogo').addEventListener('click', function () {
        disableCompositionBtns();
        csInterface.evalScript('replaceImage("logo")', function(retVal) {
        enableCompositionBtns();  
      });
      });     
    
  document.getElementById('btnScheme').addEventListener('click', function () {  
    disableCompositionBtns();  
    setTextParams();      
    csInterface.evalScript('applyScheme("' + scheme1Input.value + '","' + scheme2Input.value + '","' + scheme3Input.value + '","' + scheme4Input.value + '","' + scheme5Input.value + '")', function(retVal) {enableCompositionBtns();});
  });    

function disableCompositionBtns(){
    document.getElementById("btnReplacePlayer1").disabled = true;  
    document.getElementById("btnReplacePlayer2").disabled = true; 
    document.getElementById("btnReplacePlayer3").disabled = true; 
    document.getElementById('btnReplaceTeam').disabled = true;
    document.getElementById('btnReplaceLogo').disabled = true;    
    document.getElementById('btnToReplaceText').disabled = true;  
    document.getElementById('btnToMainMenu').disabled = true; 
    document.getElementById('btnScheme').disabled = true;  
    document.getElementById('scheme1Input').disabled = true; 
    document.getElementById('scheme2Input').disabled = true; 
    document.getElementById('scheme3Input').disabled = true; 
    document.getElementById('scheme4Input').disabled = true; 
    document.getElementById('scheme5Input').disabled = true;     
    document.getElementById("processing").style.display= "block";
} 
    
function enableCompositionBtns(){
    document.getElementById("processing").style.display= "none";
    document.getElementById("btnReplacePlayer1").disabled = false;  
    document.getElementById("btnReplacePlayer2").disabled = false; 
    document.getElementById("btnReplacePlayer3").disabled = false; 
    document.getElementById('btnReplaceTeam').disabled = false; 
    document.getElementById('btnReplaceLogo').disabled = false;      
    document.getElementById('btnToReplaceText').disabled = false;  
    document.getElementById('btnToMainMenu').disabled = false;
    document.getElementById('btnScheme').disabled = false;     
    document.getElementById('scheme1Input').disabled = false; 
    document.getElementById('scheme2Input').disabled = false; 
    document.getElementById('scheme3Input').disabled = false;
    document.getElementById('scheme4Input').disabled = false; 
    document.getElementById('scheme5Input').disabled = false;  
    document.getElementById('schemeInput').disabled = false;     
}      
     
    
// Text Replacement      
   
  document.getElementById('btnReplaceText').addEventListener('click', function () {  
    disableTextBtns();  
    setTextParams();      
    csInterface.evalScript('replaceTextAll("' + L11 + '","' + L12 + '","' + L13 + '","' + L14 + '","' + L15 + '","' + T1 + '","' + T2 + '","' + T3 + '","' + T4 + '","' + T5 + '","' + T6 + '","' + T7 + '","' + T8 + '","' + T9 + '","' + T10 + '","' + T11 + '","' + T12 + '","' + T13 + '","' + T14 + '","' + T15 + '","' + R1 + '","' + R2 + '","' + R3 + '","' + R4 + '","' + R5 + '","' + R6 + '","' + R7 + '","' + R8 + '","' + R9 + '","' + R10 + '","' + R11 + '","' + R12 + '","' + R13 + '","' + R14 + '","' + R15 + '")', function(retVal) {enableTextBtns();});
  });
    
  document.getElementById('btnClear').addEventListener('click', function () {
    clearInputs();
  });   
    
document.getElementById('btnBackToCompostion').addEventListener('click', function () {
hideAllTAbs();
document.getElementById("composition").style.display= "block";    
document.getElementById("toMainMenu").style.display= "block";
});     

function disableTextBtns(){
    document.getElementById("btnReplaceText").disabled = true;  
    document.getElementById("btnClear").disabled = true; 
    document.getElementById("btnBackToCompostion").disabled = true; 
    document.getElementById('btnToMainMenu').disabled = true; 
    
    document.getElementById("FirstNameInput").disabled = true;  
    document.getElementById("FirstNameResizeInput").disabled = true;
    
    document.getElementById("LastNameInput").disabled = true;  
    document.getElementById("LastNameResizeInput").disabled = true;
    
    document.getElementById("NameInput").disabled = true;  
    document.getElementById("NameResizeInput").disabled = true;
    
    document.getElementById("PositionInput").disabled = true;  
    document.getElementById("PositionResizeInput").disabled = true;    
    
    document.getElementById("NumberInput").disabled = true;  
    document.getElementById("NumberResizeInput").disabled = true;
    
    document.getElementById("TeamNameInput").disabled = true;  
    document.getElementById("TeamNameResizeInput").disabled = true; 
    
    document.getElementById("LeagueNameInput").disabled = true;  
    document.getElementById("LeagueNameResizeInput").disabled = true;
    
    document.getElementById("YearInput").disabled = true;  
    document.getElementById("YearResizeInput").disabled = true;
    
    document.getElementById("SchoolNameInput").disabled = true;  
    document.getElementById("SchoolNameResizeInput").disabled = true;
    
    document.getElementById("ClassInput").disabled = true;  
    document.getElementById("ClassResizeInput").disabled = true;
    
    document.getElementById("customLayer1").disabled = true;  
    document.getElementById("customLayer1Input").disabled = true;    
    document.getElementById("customLayer1ResizeInput").disabled = true;
    
    document.getElementById("customLayer2").disabled = true;  
    document.getElementById("customLayer2Input").disabled = true;    
    document.getElementById("customLayer2ResizeInput").disabled = true;
    
    document.getElementById("customLayer3").disabled = true;  
    document.getElementById("customLayer3Input").disabled = true;    
    document.getElementById("customLayer3ResizeInput").disabled = true;
    
    document.getElementById("customLayer4").disabled = true;  
    document.getElementById("customLayer4Input").disabled = true;    
    document.getElementById("customLayer4ResizeInput").disabled = true;;
    
    document.getElementById("customLayer5").disabled = true;  
    document.getElementById("customLayer5Input").disabled = true;    
    document.getElementById("customLayer5ResizeInput").disabled = true;
    
    document.getElementById("processing").style.display= "block";
} 
    
function enableTextBtns(){
    document.getElementById("processing").style.display= "none";
    
    document.getElementById("btnReplaceText").disabled = false;  
    document.getElementById("btnClear").disabled = false; 
    document.getElementById("btnBackToCompostion").disabled = false; 
    document.getElementById('btnToMainMenu').disabled = false;  
    
    document.getElementById("FirstNameInput").disabled = false;  
    document.getElementById("FirstNameResizeInput").disabled = false;
    
    document.getElementById("LastNameInput").disabled = false;  
    document.getElementById("LastNameResizeInput").disabled = false;
    
    document.getElementById("NameInput").disabled = false;  
    document.getElementById("NameResizeInput").disabled = false;
    
    document.getElementById("PositionInput").disabled = false;  
    document.getElementById("PositionResizeInput").disabled = false;    
    
    document.getElementById("NumberInput").disabled = false;  
    document.getElementById("NumberResizeInput").disabled = false;
    
    document.getElementById("TeamNameInput").disabled = false;  
    document.getElementById("TeamNameResizeInput").disabled = false; 
    
    document.getElementById("LeagueNameInput").disabled = false;  
    document.getElementById("LeagueNameResizeInput").disabled = false;
    
    document.getElementById("YearInput").disabled = false;  
    document.getElementById("YearResizeInput").disabled = false;
    
    document.getElementById("SchoolNameInput").disabled = false;  
    document.getElementById("SchoolNameResizeInput").disabled = false;
    
    document.getElementById("ClassInput").disabled = false;  
    document.getElementById("ClassResizeInput").disabled = false;
    
    document.getElementById("customLayer1").disabled = false;  
    document.getElementById("customLayer1Input").disabled = false;    
    document.getElementById("customLayer1ResizeInput").disabled = false;
    
    document.getElementById("customLayer2").disabled = false;  
    document.getElementById("customLayer2Input").disabled = false;    
    document.getElementById("customLayer2ResizeInput").disabled = false;
    
    document.getElementById("customLayer3").disabled = false;  
    document.getElementById("customLayer3Input").disabled = false;    
    document.getElementById("customLayer3ResizeInput").disabled = false;
    
    document.getElementById("customLayer4").disabled = false;  
    document.getElementById("customLayer4Input").disabled = false;    
    document.getElementById("customLayer4ResizeInput").disabled = false;;
    
    document.getElementById("customLayer5").disabled = false;  
    document.getElementById("customLayer5Input").disabled = false;    
    document.getElementById("customLayer5ResizeInput").disabled = false;
}      
    
    
function setTextParams(){
    
    L11=customLayer1.value;
    L12=customLayer2.value;    
    L13=customLayer3.value;
    L14=customLayer4.value;
    L15=customLayer5.value;    
    T1=FirstNameInput.value;
    T2=LastNameInput.value;
    T3=NameInput.value;
    T4=PositionInput.value;
    T5=NumberInput.value;
    T6=TeamNameInput.value;
    T7=LeagueNameInput.value;    
    T8=YearInput.value;
    T9=SchoolNameInput.value;
    T10=ClassInput.value;
    T11=customLayer1Input.value;
    T12=customLayer2Input.value;
    T13=customLayer3Input.value;
    T14=customLayer4Input.value;
    T15=customLayer5Input.value;
    R1=FirstNameResizeInput.value;
    R2=LastNameResizeInput.value;
    R3=NameResizeInput.value;
    R4=PositionResizeInput.value;
    R5=NumberResizeInput.value;
    R6=TeamNameResizeInput.value;
    R7=LeagueNameResizeInput.value;   
    R8=YearResizeInput.value;
    R9=SchoolNameResizeInput.value;
    R10=ClassResizeInput.value;
    R11=customLayer1ResizeInput.value;
    R12=customLayer2ResizeInput.value;
    R13=customLayer3ResizeInput.value;
    R14=customLayer4ResizeInput.value;
    R15=customLayer5ResizeInput.value;     
  
} 
    
function clearInputs(){
    
    customLayer1.value="";
    customLayer2.value="";   
    customLayer3.value="";
    customLayer4.value="";
    customLayer5.value="";   
    FirstNameInput.value="";
    LastNameInput.value="";
    NameInput.value="";
    PositionInput.value="";
    NumberInput.value="";
    TeamNameInput.value="";
    LeagueNameInput.value="";   
    YearInput.value="";
    SchoolNameInput.value="";
    ClassInput.value="";
    customLayer1Input.value="";
    customLayer2Input.value="";
    customLayer3Input.value="";
    customLayer4Input.value="";
    customLayer5Input.value="";  
    FirstNameResizeInput.value="";
    LastNameResizeInput.value="";
    NameResizeInput.value="";
    PositionResizeInput.value="";
    NumberResizeInput.value="";
    TeamNameResizeInput.value="";
    LeagueNameResizeInput.value="";   
    YearResizeInput.value="";
    SchoolNameResizeInput.value="";
    ClassResizeInput.value="";
    customLayer1ResizeInput.value="";
    customLayer2ResizeInput.value="";
    customLayer3ResizeInput.value="";
    customLayer4ResizeInput.value="";
    customLayer5ResizeInput.value="";    
  
}    

var sampleExt=Math.ceil(Math.random()*20);
if (sampleExt<10){sampleExt="0"+String(sampleExt);}
else{sampleExt=String(sampleExt);}
      
document.getElementById("aspSample").src="https://pixnub.com/panel-data/sports-photo-automation/7-3-5/sample-"+sampleExt+".jpg"
    
    
}());
